Subject: Re: bug#17977: Emacs 24.3 - cursor-type hbar renders incorrectly on OS X

From: Jan Djärv <[email-masked]>
Date: Thu, 10 Jul 2014 08:53:20 +0200

Hello.

The links to the screenshots are bogous ("webkit-fake-url://8D9F72A3-85EA-4499-A2=
59-D471950B78DA/image.tiff"), please fix these.  Also, use jpg instead of tiff, they are smaller images.

	Jan D.
 
9 jul 2014 kl. 15:08 skrev EMRE YOLCU <[email-masked]>:

> On Mac OS X version 10.9.4, Emacs 24.3 installed via Homebrew package manager with options "--cocoa --srgb" does not honor the following settings in init.el as it should:
> 
> It can be recreated by having these in the init file on a similar setup.
> 
> (global hl-line-mode 1)
> (setq-default line-spacing 10)
> (setq-default cursor-type '(hbar . 200)) ;this one does not work correctly
> 
> Normally, when line-spacing is set to a value higher than 0, the cursor height does not span the height of the area highlighted by hl-line-mode. This bothers me, so I set the cursor-type to hbar and its height to a large value (200). This is supposed to increase the cursor height to fit the highlighted area. This works as I intend when I try it on Debian, but not on OS X. I suspect the problem is in src/nsterm.m, in sections related to how the cursor with the type HBAR is drawn.
> 
> I included two screenshots making the issue clearer.
> 
> Wrong
> 
> 
> Correct
> 
> 
> 
> report-bug-emacs output:
> 
> In GNU Emacs 24.3.1 (x86_64-apple-darwin13.2.0, NS apple-appkit-1265.20)
>  of 2014-07-04 on <name>.local
> Windowing system distributor `Apple', version 10.3.1265
> Configured using:
>  `configure '--prefix=/usr/local/Cellar/emacs/24.3' '--without-dbus'
>  '--enable-locallisppath=/usr/local/share/emacs/site-lisp'
>  '--infodir=/usr/local/Cellar/emacs/24.3/share/info/emacs'
>  '--without-gnutls' '--with-ns' '--disable-ns-self-contained'
>  'CC=clang''
> 
> Important settings:
>   value of $LANG: en_US.UTF-8
>   locale-coding-system: utf-8-unix
>   default enable-multibyte-characters: t